# Sedit Key Binding Setup

Use
to change the keybindings for edit functions.

## Options

Type Kills SEL - whether or not typing overwrites the current selection.

Paste Sets Insert - whether or not <Button-2> to paste also sets the insert cursor (where stuff will get pasted).

Note: The selpaste function is for additional keybindings for paste.

Scroll Button: The Tk text widgets scroll if you hold down a mouse button and drag. This setting chooses which button to use. The default is <Button-2>. In this case, if you drag scroll, there is no paste operation.

## Event Syntax

- Any sequence like <meta-x> also results in a binding for <escape><x>
- Case is significant in the keywords Control, Meta, Shift, Key, etc. Watch out for BackSpace, with a cap S.
- Multiple bindings: to bind multiple (different) keystrokes to a function, separate the sequences with spaces.

The Events Helper lets you discover what events are generated by the keys on your keyboard.